/*
 * #%L
 * JAXX :: Compiler
 * 
 * $Id: GridBagConstraintsConverter.java 2225 2011-02-19 20:15:00Z tchemit $
 * $HeadURL: http://svn.nuiton.org/svn/jaxx/tags/jaxx-2.5.4/jaxx-compiler/src/main/java/jaxx/compiler/types/GridBagConstraintsConverter.java $
 * %%
 * Copyright (C) 2008 - 2010 CodeLutin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

package jaxx.compiler.types;

import java.awt.GridBagConstraints;

public class GridBagConstraintsConverter implements TypeConverter {

    @Override
    public Class<?>[] getSupportedTypes() {
        return new Class<?>[] {
            GridBagConstraints.class
        };
    }

    @Override
    public String getJavaCode(Object object) {
        GridBagConstraints g = (GridBagConstraints) object;
        return "new GridBagConstraints(" + g.gridx + ", " + g.gridy + ", " + g.gridwidth + ", " + g.gridheight + ", " +
                g.weightx + ", " + g.weighty + ", " + g.anchor + ", " + g.fill + ", " +
                TypeManager.getJavaCode(g.insets) + ", " + g.ipadx + ", " + g.ipady + ")";
    }

    @Override
    public Object convertFromString(String string, Class<?> type) {
        throw new UnsupportedOperationException("GridBagConstraints must be represented using Java code");
    }
}
